/***********************************************************

These are a few miscellaneous string editing functions.

************************************************************/

#ifdef C_DEBUG
#include "debug.h"
#endif
#include "text.h"

/* This function removes num_rem characters at point *find, 
   moving the remaining characters back to fill in the spot */

/*
 
void strshort( char *start, int num_rem )
{
	int c=0;
	char *orig = start;
	while( c < num_rem )
	{
		while( *start != '\0' )
		{
			*start = *(start+1);
			start++;
		}
		c++;
		start = orig;
	}
}

*/

void strshort( char *start, int num_rem )
{
	char *orig = start;
        int c=0;

        if (num_rem>=strlen(start))
        {
          *start='\0';
          return;
	}
        if (num_rem>0)
	   {
       	   while( *(start+num_rem) != '\0' )
   		{
   			*start = *(start+num_rem);
   			start++;
   		}
           *start = '\0';
   	   start = orig;
	   }
   	while( *start == ' ' ) 
	        {
                start++;
                c++;
		}
	start = orig;
        if (c==0) return;

	while( *(start+c) != '\0' )
		{
			*start = *(start+c);
			start++;
		}
        *start = '\0';
	start = orig;
}

